#ifndef XANIMDYNAMICINDICES_H
#define XANIMDYNAMICINDICES_H

#include "xasset.h"

#include <QVector>

class XAnimDynamicIndices : public XAsset
{
public:
    explicit XAnimDynamicIndices();
    ~XAnimDynamicIndices();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    QVector<quint8> GetIndices() const;
    void SetIndices(QVector<quint8> aIndices);

private:
    QVector<quint8> mIndices;
};

#endif // XANIMDYNAMICINDICES_H
